!function(e,n){"object"==typeof exports&&"object"==typeof module?module.exports=n():"function"==typeof define&&define.amd?define([],n):"object"==typeof exports?exports.CKEditor5=n():(e.CKEditor5=e.CKEditor5||{},e.CKEditor5.removeDivPlugin=n())}(self,(()=>(()=>{var __webpack_modules__={"./js/ckeditor5_plugins/removeDivPlugin/src/index.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\n/* harmony import */ var _removediv__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./removediv */ "./js/ckeditor5_plugins/removeDivPlugin/src/removediv.js");\n/**\n * @file\n * The main entry point for CKEditor 5 to recognize and load plugins.\n * This file is crucial in the build process, as CKEditor 5 identifies\n * available plugins through it. Multiple plugins can be consolidated and\n * exported from this single file.\n *\n * @description\n * Acts as a bridge between CKEditor 5 and custom plugins. It imports\n * and exports the necessary plugins, making them accessible to the editor.\n */\n\n// Importing the RemoveDiv plugin from the RemoveDiv.js file.\n\n\n// Exporting the RemoveDiv plugin for CKEditor 5 to recognize and use.\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({\n  RemoveDiv: _removediv__WEBPACK_IMPORTED_MODULE_0__["default"],\n});\n\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./js/ckeditor5_plugins/removeDivPlugin/src/index.js?')},"./js/ckeditor5_plugins/removeDivPlugin/src/removediv.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (/* binding */ RemoveDiv)\n/* harmony export */ });\n/* harmony import */ var ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ckeditor5/src/core */ "ckeditor5/src/core.js");\n/* harmony import */ var _removedivediting__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./removedivediting */ "./js/ckeditor5_plugins/removeDivPlugin/src/removedivediting.js");\n/* harmony import */ var _removedivui__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./removedivui */ "./js/ckeditor5_plugins/removeDivPlugin/src/removedivui.js");\n\n\n\n\n/**\n * @class RemoveDiv\n *\n * @description\n * This class represents the RemoveDiv plugin in CKEditor 5. It is responsible for\n * integrating the RemoveDiv functionality into the CKEditor 5 editor. The plugin\n * brings together editing functionalities and user interface components required\n * to enable the removal of \'div\' elements from the editor content.\n */\nclass RemoveDiv extends ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__.Plugin {\n  /**\n   * Specifies the required dependencies for this plugin.\n   * @returns {Array} An array of required classes.\n   */\n  static get requires() {\n    return [ _removedivediting__WEBPACK_IMPORTED_MODULE_1__["default"], _removedivui__WEBPACK_IMPORTED_MODULE_2__["default"] ];\n  }\n\n  /**\n   * Provides the name of the plugin. This is used by CKEditor 5 for plugin identification.\n   * @returns {string} The name of the plugin.\n   */\n  static get pluginName() {\n    return \'RemoveDiv\';\n  }\n\n}\n\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./js/ckeditor5_plugins/removeDivPlugin/src/removediv.js?')},"./js/ckeditor5_plugins/removeDivPlugin/src/removedivcommand.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   \"default\": () => (/* binding */ RemoveDivCommand)\n/* harmony export */ });\n/* harmony import */ var ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ckeditor5/src/core */ \"ckeditor5/src/core.js\");\n\n\n/**\n * @class RemoveDivCommand\n * @extends Command\n * @description\n * This class creates a command for removing `div` elements from the editor's content.\n * It extends CKEditor 5's built-in Command class.\n */\nclass RemoveDivCommand extends ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__.Command {\n    /**\n     * Refreshes the state of the command. It is called automatically by the editor\n     * to decide whether the command should be enabled or disabled based on the current context.\n     */\n  refresh() {\n    const model = this.editor.model;\n    const selection = model.document.selection;\n\n    // Assuming 'div' elements are represented by a specific model element (e.g., 'htmlDivParagraph')\n    const position = selection.focus || selection.anchor;\n    const divElement = position && (position.findAncestor('htmlDivParagraph') || position.findAncestor('paragraph'));\n    const ancestors = position.getAncestors();\n\n    // Enable the command only if the selection is within a 'div' element or its equivalent\n    this.isEnabled = this._hasDivAncestor(ancestors);\n  }\n\n    /**\n     * Executes the command: removes the `div` element from the editor's content.\n     * This method is invoked when the command is executed.\n     */\n    execute() {\n      const model = this.editor.model;\n      const selection = model.document.selection;\n\n      model.change(writer => {\n        const ancestors = selection.focus.getAncestors();\n        const divElement = this._findDivAncestor(ancestors);\n\n        if (divElement) {\n          // Get the position before the div element to start reinserting its content\n          const positionBeforeDiv = writer.createPositionBefore(divElement);\n\n          const children = Array.from(divElement.getChildren());\n          // Check if the div contains only text or is effectively standalone\n          const isStandaloneText = children.every(child => child.is('text'));\n\n          if (isStandaloneText) {\n            // Convert the standalone div to a paragraph\n            const paragraph = writer.createElement('paragraph');\n            writer.insert(paragraph, positionBeforeDiv);\n            // Move the text into the paragraph\n            for (const child of children) {\n              writer.append(child, paragraph);\n            }\n          } else {\n            // For divs with nested elements, move each direct child to the position before the div\n            for (const child of children) {\n              writer.move(writer.createRangeOn(child), positionBeforeDiv);\n            }\n          }\n\n          // After handling the children, remove the div element\n          writer.remove(divElement);\n        }\n      });\n    }\n\n\n\n\n\n  _hasDivAncestor(ancestors) {\n    return ancestors.some(ancestor => {\n      if (typeof ancestor === 'object' && 'name' in ancestor) {\n        return ancestor.name.toLowerCase().includes('div');\n      }\n      return false;\n    });\n  }\n\n  _findDivAncestor(ancestors) {\n    for (const ancestor of ancestors) {\n      if (typeof ancestor === 'object' && 'name' in ancestor && ancestor.name.toLowerCase().includes('div')) {\n        return ancestor; // Return the first ancestor that satisfies the condition\n      }\n    }\n    return null; // Return null if no such ancestor is found\n  }\n}\n\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./js/ckeditor5_plugins/removeDivPlugin/src/removedivcommand.js?")},"./js/ckeditor5_plugins/removeDivPlugin/src/removedivediting.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (/* binding */ RemoveDivEditing)\n/* harmony export */ });\n/* harmony import */ var ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ckeditor5/src/core */ "ckeditor5/src/core.js");\n/* harmony import */ var _removedivcommand__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./removedivcommand */ "./js/ckeditor5_plugins/removeDivPlugin/src/removedivcommand.js");\n\n\n\n/**\n * @class RemoveDivEditing\n * @extends Plugin\n * @description\n * This class handles the editing aspect of the RemoveDiv plugin. It is responsible\n * for extending the CKEditor 5 model schema to include functionalities specific to\n * the handling of `div` elements. The class may include schema extensions or\n * converter definitions necessary for the proper functioning of the RemoveDiv command.\n */\nclass RemoveDivEditing extends ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__.Plugin {\n    /**\n     * Initializes the plugin\'s editing behavior. This method sets up the schema\n     * extensions and converters for handling `div` elements within the editor\'s model.\n     * It registers the \'removeDiv\' command in the editor using the RemoveDivCommand class.\n     */\n    init() {\n      const editor = this.editor;\n      // const model = editor.model;\n      this.editor.commands.add( \'removeDiv\', new _removedivcommand__WEBPACK_IMPORTED_MODULE_1__["default"]( this.editor ) );\n    }\n}\n\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./js/ckeditor5_plugins/removeDivPlugin/src/removedivediting.js?')},"./js/ckeditor5_plugins/removeDivPlugin/src/removedivui.js":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (/* binding */ RemoveDivUI)\n/* harmony export */ });\n/* harmony import */ var ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ckeditor5/src/core */ "ckeditor5/src/core.js");\n/* harmony import */ var ckeditor5_src_ui__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ckeditor5/src/ui */ "ckeditor5/src/ui.js");\n/* harmony import */ var _icons_eraser_svg__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../icons/eraser.svg */ "./icons/eraser.svg");\n\n\n\n\n/**\n * @class RemoveDivUI\n * @extends Plugin\n * @description\n * This class is responsible for the user interface part of the RemoveDiv plugin in CKEditor 5.\n * It handles the creation and configuration of a toolbar button that allows users to execute\n * the `removeDiv` command. The button is equipped with an icon, label, and tooltip.\n */\nclass RemoveDivUI extends ckeditor5_src_core__WEBPACK_IMPORTED_MODULE_0__.Plugin {\n    /**\n     * Initializes the UI component of the plugin. This method is responsible for\n     * adding the `removeDiv` button to the editor\'s toolbar and setting up its properties\n     * and behavior.\n     */\n    init() {\n        const editor = this.editor;\n        const t = editor.t;\n\n        // Add the removeDiv button to the toolbar\n        editor.ui.componentFactory.add(\'removeDiv\', () => {\n          const button = new ckeditor5_src_ui__WEBPACK_IMPORTED_MODULE_1__.ButtonView();\n\n          button.set({\n              label: t(\'Remove Div\'),\n              icon: _icons_eraser_svg__WEBPACK_IMPORTED_MODULE_2__["default"], // Set the icon path\n              tooltip: true\n            });\n\n          // Execute the command when the button is clicked\n          button.on(\'execute\', () => {\n            editor.execute(\'removeDiv\');\n            editor.editing.view.focus();\n          });\n\n          return button;\n        });\n    }\n}\n\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./js/ckeditor5_plugins/removeDivPlugin/src/removedivui.js?')},"./icons/eraser.svg":(__unused_webpack_module,__webpack_exports__,__webpack_require__)=>{"use strict";eval('__webpack_require__.r(__webpack_exports__);\n/* harmony export */ __webpack_require__.d(__webpack_exports__, {\n/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)\n/* harmony export */ });\n/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ("<?xml version=\\"1.0\\" encoding=\\"utf-8\\"?><svg version=\\"1.1\\" id=\\"Layer_1\\" xmlns=\\"http://www.w3.org/2000/svg\\" xmlns:xlink=\\"http://www.w3.org/1999/xlink\\" x=\\"0px\\" y=\\"0px\\" viewBox=\\"0 0 122.88 103.38\\" style=\\"enable-background:new 0 0 122.88 103.38\\" xml:space=\\"preserve\\"><style type=\\"text/css\\">.st0{fill-rule:evenodd;clip-rule:evenodd;}</style><g><path class=\\"st0\\" d=\\"M27.66,93.53h32.49l9.1-9.08c1.4-1.4,1.41-3.7,0.01-5.1l-27.02-27.1c-1.4-1.4-3.7-1.41-5.1-0.01L14.3,75.03 c-1.41,1.4-1.41,3.7-0.01,5.1L27.66,93.53L27.66,93.53z M71.03,93.53h51.84v9.85H61.16H50.28h-12.8H25.7h-0.35L1.05,79.01 c-1.4-1.4-1.4-3.7,0.01-5.1L74.11,1.05c1.41-1.4,3.7-1.4,5.1,0.01l39.62,39.72c1.4,1.4,1.4,3.7-0.01,5.1L71.03,93.53L71.03,93.53z\\"/></g></svg>");\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/./icons/eraser.svg?')},"ckeditor5/src/core.js":(module,__unused_webpack_exports,__webpack_require__)=>{eval('module.exports = (__webpack_require__(/*! dll-reference CKEditor5.dll */ "dll-reference CKEditor5.dll"))("./src/core.js");\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/delegated_./core.js_from_dll-reference_CKEditor5.dll?')},"ckeditor5/src/ui.js":(module,__unused_webpack_exports,__webpack_require__)=>{eval('module.exports = (__webpack_require__(/*! dll-reference CKEditor5.dll */ "dll-reference CKEditor5.dll"))("./src/ui.js");\n\n//# sourceURL=webpack://CKEditor5.removeDivPlugin/delegated_./ui.js_from_dll-reference_CKEditor5.dll?')},"dll-reference CKEditor5.dll":e=>{"use strict";e.exports=CKEditor5.dll}},__webpack_module_cache__={};function __webpack_require__(e){var n=__webpack_module_cache__[e];if(void 0!==n)return n.exports;var r=__webpack_module_cache__[e]={exports:{}};return __webpack_modules__[e](r,r.exports,__webpack_require__),r.exports}__webpack_require__.d=(e,n)=>{for(var r in n)__webpack_require__.o(n,r)&&!__webpack_require__.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:n[r]})},__webpack_require__.o=(e,n)=>Object.prototype.hasOwnProperty.call(e,n),__webpack_require__.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var __webpack_exports__=__webpack_require__("./js/ckeditor5_plugins/removeDivPlugin/src/index.js");return __webpack_exports__=__webpack_exports__.default,__webpack_exports__})()));